#include "stm32f4xx.h"
#include "delay.h"

static __IO uint32_t TimingDelay;

void delay_us(unsigned int d)
{	/* for 120 MHz @ Level0 Opt */
	unsigned int i;
	for (i=0; i<30*d; i++);
}

void TimingDelay_Decrement(void)	// Call via SysTick_Handler ISR
{
	if (TimingDelay != 0x00)
	{ 
		TimingDelay--;
	}
}

void delay_ms(unsigned int d)
{
	TimingDelay = d;
	while(TimingDelay != 0);
}
